<template lang="pug">
EditCard(title='FilterStation')
  template(v-slot='card')
    li(key="filters").x-filters-table.p-0
      table.table.table-sm.table-hover
        thead.bg-light
          tr
            th #
            th Filter
            th Current Position
            th(v-if='card.inEdit') Next Run
        tbody
          tr(v-for="state, idx in filters")
            td {{ idx + 1 }}
            td {{ filterName(idx) }}
            td.x-current
              .badge(:class="stateClass(state)") {{ stateName(state) }}
            template(v-if='card.inEdit')
              td.x-next(v-if="nextMaterials")
                .badge(:class="stateClass(nextState(idx))" v-if='nextState(idx) !== state') {{ stateName(nextState(idx)) }}
              td(v-else)
                i.fa.fa-spinner.fa-pulse
  template(v-slot:footer)
    .row
      .col-12
        div #[strong= "Air Pressure:"] {{ airPressure | b-bigNumber(' bar(s)') }}
</template>
<script>

export { default } from './FilterStation.vue.js';

</script>
<style scoped>
.badge {
  font-size: 100%;
}

.table-head > th {
  border: 1px solid #dee2e6 !important;
}

.table td, .table th {
  vertical-align: middle;
  text-align: center;
  font-size: 0.9rem;
}
</style>
